Skip to content
First requestVisit website ↗
Navigation

Activate built-in Voice AI

Served by the Voice API. Requires a Bearer session for a workspace owner/admin/manager when VOICE_AI_TELEPHONY_TURN_CONTROL_V2 is enabled. Flag-off workspaces retain the legacy access contract.

POST
https://api.channelautomation.com/api/workspaces/{workspaceId}/voice-ai/activate

Authorization

  • BearerAuth
    HTTP Bearer (JWT)
    required

Path parameters

  • workspaceId
    string
    required

Request body JSON

  • turn_detection_mode
    optional
    server_vad
    or
    semantic_vad
  • turn_detection_eagerness
    optional
    low
    or
    medium
    or
    high
    or
    auto
  • turn_detection_threshold
    optional
    number
    maximum: 0.85 · minimum: 0.35
  • silence_duration_ms
    optional
    number
    maximum: 1500 · minimum: 300
  • prefix_padding_ms
    optional
    number
    maximum: 1000 · minimum: 100
  • barge_in_enabled
    optional
    boolean

Returns

200

Voice AI activated with resulting configuration

400

Invalid settings or failed activation

401

Missing or invalid session

403

Workspace owner/admin/manager required

500

Unexpected server error

503

Feature state or membership unavailable

Type to search…

↑↓ navigate↵ selectEsc close